#include "Food.h"

Food::Food()
{
    _food_id = 0; // 0 is a placeholder value meaning that the slot is empty
    _name = "";
    _fat_value = 0;
    _weight = 0;
    _size = 0;
}

// Because in the main file food is inputted into the stomach (size) times, make sure that when you input 
// fat and weight values here they are divided by size
Food::Food(int food_id, string name, double fat_value, double weight, int size)
{
    _food_id = food_id;
    _name = name;
    _fat_value = fat_value;
    _weight = weight;
    _size = size;
}

void Food::reset()
{
    _food_id = 0; // 0 is a placeholder value meaning that the slot is empty
    _name = "";
    _fat_value = 0;
    _weight = 0;
    _size = 0;
}

void Food::print_info()
{
    cout << _name 
         << "\nFat value: " << _fat_value * _size
         << "\nWeight: " << _weight * _size
         << "\nSize: " << _size << endl;
}
