#include "Stomach.h"

int main()
{
    // I recomend creating food here
    vector<Food> available_food;
    available_food.push_back(Food(1, "Apple", 0.02, 0.25, 1));
    available_food.push_back(Food(1, "Hamburger", 0.25, 0.75, 1));
    available_food.push_back(Food(1, "Apple Pie", 0.5, 1.5, 2));
    available_food.push_back(Food(1, "Cake", 0.5, 1.25, 4));

    Stomach stomach;
    int input = '0';
    while (input != -1)
    {
        cout << "\nChoose food to eat:\n";

        for (size_t i = 0; i < available_food.size(); i++)
        {
            cout << i+1 << ": ";
            available_food[i].print_info();
        }
        cout << "0: Digest for a turn\n-1: Exit\n";

        cout << "\nBelly state:\n";
        stomach.print_info();

        cout << "\nYour choice:\n";
        cin >> input;
        if (input == -1)
        {
            break;
        }
        while (input > available_food.size() || input < 0)
        {
            cout << "Wrong input\n";
            cin >> input;
        }
        if (input == 0)
        {
            stomach.digest_food();
            continue;
        }
        
        // we lower the input by one so that by choosing food item 1, we get the first item from vector
        input--;

        if (available_food[input].size() > stomach.empty_space())
        {
            cout << "Can't eat that, too much food in stomach!\nInput any number to continue\n";
            cin >> input;
            continue;
        }
        
        for (size_t i = 0; i < available_food[input].size(); i++)
        {
            stomach.eat_food(available_food[input]);
        }
        stomach.digest_food();
    }
    return 0;
}