#ifndef FOOD_H
#define FOOD_H
#include "inclusions.h"

class Food
{
public:
    Food();
    Food(int food_id, string name, double fat_value, double weight, int size);

    // getters
    int food_id() { return _food_id; };
    string name() { return _name; };
    double fat_value() { return _fat_value; };
    double weight() { return _weight; };
    int size() { return _size; };

    void reset();
    void print_info();

private:
    // 0 is a placeholder value meaning that the slot is empty
    int _food_id;
    string _name;
    double _fat_value;
    double _weight;
    int _size;
};

#endif