#ifndef STOMACH_H
#define STOMACH_H
#include "inclusions.h"
#include "Food.h"

class Stomach
{
public:
    Stomach();

    // Getters (Getter because there is only a single one?)
    int empty_space() { return _empty_space; };

    void eat_food(Food food);
    void digest_food();
    void print_info();
private:
    vector<Food> _belly;
    int _digestion_rate;
    int _empty_space;
    double _base_weight;
    double _fat_weight;
    // _body_weight is the weight of the body, fat + everything else, excluding food in stomach
    double _body_weight;
    double _food_weight;
    double _total_weight;

    void _update_total_weight();
};

#endif